| OpenMS 2.5.0

RNPxlXICFilter

Filters MS2 spectra based on XIC intensities in control and treatment. Used in RNPxl experiments to reduce candidate spectra.

potential predecessor tools | RNPxlXICFilter | potential successor tools
PeakPickerHiRes | RNPxlSearch

The command line parameters of this tool are:

    RNPxlXICFilter -- Remove MS2 spectra from treatment based on the fold change between control and treatment.

    Full documentation: http://www.openms.de/documentation/UTILS_RNPxlXICFilter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      RNPxlXICFilter <options>

    Options (mandatory options marked with '*'):

      -control <file>*    Input mzML file (valid formats: 'mzML')

      -treatment <file>*  Input mzML file (valid formats: 'mzML')

      -fold_change        Fold change between XICs (default: '2.0')

      -rt_tol             RT tolerance in [s] for finding max peak (whole RT range around RT middle) (default:

                          '20.0')

      -mz_tol             M/z tolerance in [ppm] for finding a peak (default: '10.0')

      -out <file>*        Output of the treatment file after XIC filtering. (valid formats: 'mzML')

    Common UTIL options:

      -ini <file>         Use the given TOPP INI file

      -threads <n>        Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>   Writes the default configuration file

      --help              Shows options

      --helphelp          Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+RNPxlXICFilter Remove MS2 spectra from treatment based on the fold change between control and treatment.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'RNPxlXICFilter'
control input mzML file input file*.mzML
treatment input mzML file input file*.mzML
fold_change 2.0 fold change between XICs
rt_tol 20.0 RT tolerance in [s] for finding max peak (whole RT range around RT middle)
mz_tol 10.0 m/z tolerance in [ppm] for finding a peak
out output of the treatment file after XIC filtering.output file*.mzML
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false